'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _flex = require('antd-mobile/lib/flex');

var _flex2 = _interopRequireDefault(_flex);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/flex/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//竖直或者水平布局
//父级属性（具体可参考ant中Flex组件的参数）：
//itemsData:嵌入的子级数据数组(必需)
//direction：项目定位方向，默认row（竖直排列）
//height : 容器高度，可以是数值、字符串，默认100%
//子级属性（即itemsData中可传入的参数）：
//flex:项目在容器中占的比例，默认1（平均分配）
//autoHeight:项目高度根据内容而定，此时flex必须设置成‘none’才生效（须在父级direction为column时使用）
//autoWidth:项目宽度根据内容而定，此时flex必须设置成‘none’才生效（须在父级direction为row时使用）
//backgroundColor:项目自身背景颜色
//autoScroll:是否可滚动，默认false
//html: 嵌入的代码(必需)

var Box = function (_Component) {
  (0, _inherits3.default)(Box, _Component);

  function Box(props) {
    (0, _classCallCheck3.default)(this, Box);

    var _this = (0, _possibleConstructorReturn3.default)(this, (Box.__proto__ || Object.getPrototypeOf(Box)).call(this, props));

    _this.loadIndexData = function (data, index) {
      var isScroll = data.autoScroll ? 'auto' : 'hidden';
      var isAutoHeight = data.autoHeight ? 'auto' : '100%';
      var isAutoWidth = data.autoWidth ? 'auto' : '100%';
      return _react2.default.createElement(
        'div',
        { key: 'flex-' + index, style: {
            height: isAutoHeight,
            width: isAutoWidth,
            flex: data.flex || 1,
            overflow: isScroll,
            backgroundColor: data.backgroundColor || '#f2f2f2'

          } },
        data.html
      );
    };

    return _this;
  }

  (0, _createClass3.default)(Box, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      //父级
      var containerDirection = this.props.direction || 'row';
      var containerHeight = this.props.height;
      //子级
      var itemsData = this.props.itemsData;

      return _react2.default.createElement(
        _flex2.default,
        { direction: containerDirection,
          style: {
            height: containerHeight || '100%',
            backgroundColor: '#efefef'
          }
        },
        itemsData.map(function (item, index) {
          return _this2.loadIndexData(item, index);
        })
      );
    }
  }]);
  return Box;
}(_react.Component);

exports.default = (0, _reactRouter.withRouter)(Box);
//# sourceMappingURL=Box.js.map