'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _flex = require('antd-mobile/lib/flex');

var _flex2 = _interopRequireDefault(_flex);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/flex/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./styles/FlexLayout.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 布局子组件
 */
var Cell = function (_Component) {
  (0, _inherits3.default)(Cell, _Component);

  function Cell() {
    (0, _classCallCheck3.default)(this, Cell);
    return (0, _possibleConstructorReturn3.default)(this, (Cell.__proto__ || Object.getPrototypeOf(Cell)).apply(this, arguments));
  }

  (0, _createClass3.default)(Cell, [{
    key: 'render',
    value: function render() {
      var cellClass = this.props.children.props.className || '';
      return _react2.default.createElement(
        _flex2.default.Item,
        {
          style: Object.assign({}, this.props.children.props.style),
          className: 'zk_flexlayout-text_center ' + cellClass
        },
        this.props.children
      );
    }
  }]);
  return Cell;
}(_react.Component);

/**
 * 布局组件
 */
/**
 * 布局组件
 * 该组件将一级子节点默认进行平均分布，可自定义比例，容器背景、填充和有无分割线
 */


var FlexLayout = function (_Component2) {
  (0, _inherits3.default)(FlexLayout, _Component2);

  function FlexLayout() {
    (0, _classCallCheck3.default)(this, FlexLayout);
    return (0, _possibleConstructorReturn3.default)(this, (FlexLayout.__proto__ || Object.getPrototypeOf(FlexLayout)).apply(this, arguments));
  }

  (0, _createClass3.default)(FlexLayout, [{
    key: 'render',
    value: function render() {
      var direction = this.props.direction || 'row';
      var wrap = this.props.wrap || 'nowrap';
      var justify = this.props.justify || 'start';
      var align = this.props.align || 'center';
      var alignContent = this.props.alignContent || 'stretch';
      var flexClass = this.props.className || '';
      // 分割线
      var line = '';
      var _props = this.props,
          hasLine = _props.hasLine,
          backgroundColor = _props.backgroundColor,
          padding = _props.padding,
          children = _props.children;

      if (hasLine) {
        line = direction === 'row' ? ' zk_flexlayout_line_right ' : ' zk_flexlayout_line_bottom ';
      }

      return _react2.default.createElement(
        _flex2.default,
        {
          direction: direction,
          wrap: wrap,
          justify: justify,
          align: align,
          alignContent: alignContent,
          style: {
            backgroundColor: backgroundColor || '#ffffff',
            padding: padding || 0
          },
          className: line + flexClass
        },
        _react2.default.Children.map(children, function (child) {
          return _react2.default.createElement(
            Cell,
            null,
            child
          );
        })
      );
    }
  }]);
  return FlexLayout;
}(_react.Component);

FlexLayout.propTypes = {
  // 容器背景
  backgroundColor: _propTypes2.default.string,
  // 容器填充
  padding: _propTypes2.default.string,
  // 项目是否有分割线
  hasLine: _propTypes2.default.bool,
  // 添加的样式类
  className: _propTypes2.default.string
};

exports.default = FlexLayout;
//# sourceMappingURL=FlexLayout.js.map