'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _searchBar = require('antd-mobile/lib/search-bar');

var _searchBar2 = _interopRequireDefault(_searchBar);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/search-bar/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _ListView = require('../ListView');

var _ListView2 = _interopRequireDefault(_ListView);

require('./styles/SearchListView.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 带搜索框的列表组件
 */
/**
 * 带搜座框的列表组件，可对列表中符合检索条件的列表项进行筛选和查询
 */
var SearchListView = function (_Component) {
  (0, _inherits3.default)(SearchListView, _Component);

  function SearchListView(props) {
    (0, _classCallCheck3.default)(this, SearchListView);

    var _this = (0, _possibleConstructorReturn3.default)(this, (SearchListView.__proto__ || Object.getPrototypeOf(SearchListView)).call(this, props));

    _this.onSetPlaceholder = function (value) {
      _this.setState({
        placeholder: value === 'focus' ? '' : _this.props.placeholder || '请输入'
      });
    };

    _this.state = {
      placeholder: _this.props.placeholder || '请输入'
    };
    return _this;
  }

  (0, _createClass3.default)(SearchListView, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          value = _props.value,
          onSubmit = _props.onSubmit,
          onChange = _props.onChange,
          onClear = _props.onClear;

      return _react2.default.createElement(
        'div',
        { className: 'zk_searchlistview' },
        _react2.default.createElement(
          'div',
          { className: 'zk_searchlistview-hd' },
          _react2.default.createElement(_searchBar2.default, {
            placeholder: this.state.placeholder,
            value: value,
            onSubmit: onSubmit,
            onClear: onClear,
            onChange: onChange,
            onFocus: function onFocus() {
              return _this2.onSetPlaceholder('focus');
            },
            onBlur: function onBlur() {
              return _this2.onSetPlaceholder('blur');
            }
          })
        ),
        _react2.default.createElement(
          'div',
          { className: 'zk_searchlistview-bd' },
          _react2.default.createElement(_ListView2.default, this.props)
        )
      );
    }
  }]);
  return SearchListView;
}(_react.Component);

SearchListView.propTypes = {
  // 搜索回调方法
  onSubmit: _propTypes2.default.func.isRequired,
  // 清空搜索框回调方法
  onClear: _propTypes2.default.func.isRequired,
  // change 事件回调
  onChange: _propTypes2.default.func.isRequired,
  // 搜索值
  value: _propTypes2.default.string,
  // 搜索框placeholder
  placeholder: _propTypes2.default.string
};
exports.default = SearchListView;
//# sourceMappingURL=SearchListView.js.map