import React, { Component } from 'react'
import PropTypes from 'prop-types'
import { Button } from 'antd-mobile'
import './BaseButton.scss'

class BaseButton extends Component {
  render () {
    const { disabled, value, onClick, type, inline, icon, className } = this.props;
    const hasClass = className || '';
    return <Button type={type} className={`${hasClass} zk_base_btn`} icon={icon || false} disabled={disabled} inline={inline} onClick={() => onClick ? onClick() : ''}>{value}</Button>;
  }
}

BaseButton.propTypes = {
  disabled: PropTypes.bool,
  inline: PropTypes.bool,
  type: PropTypes.string,
  icon: PropTypes.object,
  value: PropTypes.string,
  onClick:PropTypes.func,
  className:PropTypes.string
}

export default BaseButton
