/* 票据卡片，内置上中下结构，以及头部虚线间隔，统一标题为浅灰色，对应值为黑色，底部部分右对齐 */
import React, {Component} from 'react'
import PropTypes from 'prop-types'
import {WingBlank, WhiteSpace} from 'antd-mobile';
import './BillCard.scss'
import CardItem from "../CardItem/CardItem";

class BillCard extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    const {data, footer} = this.props;
    return (
      <WingBlank size="lg">
        <WhiteSpace size="lg"/>
        <div className={'zk_billcard'}>
          <CardItem label={data[0].name} value={data[0].value}/>
          <div className={'zk_bill-line'}>
            <span className={'zk_circle'}> </span>
            <span>— — — — — — — — — — — — — — — — — — — — — — — — — — — — — — —</span>
            <span className={'zk_circle'}> </span>
          </div>
          {data.filter((item, i) => i > 0).map((item, index) => {
            return <CardItem key={`billcard${index}`} label={item.name} value={item.value}/>
          })}
          {footer ? footer : ''}
        </div>
        <WhiteSpace size="lg"/>
      </WingBlank>
    );
  }
}

BillCard.propTypes = {
  data: PropTypes.array
};

export default BillCard
