/* 在BaseCard基础上封装的轻标题卡片，标头以及子项标题内置浅灰色，内部只展示文本 */
import React, {Component} from 'react'
import PropTypes from 'prop-types'
import {WingBlank, WhiteSpace} from 'antd-mobile';
import CardItem from '../CardItem/CardItem'
import './LightHeadCard.scss'

class LightHeadCard extends Component {

  render() {
    const {data} = this.props;
    return (
      <div className={'zk_lighheadcard'}>
        <WingBlank size="lg">
          <div className={'zk_lighheadcard-hd'}>{data ? data[0].value : ''}</div>
          <div className={'zk_lighheadcard-bd'}>
            {data.filter((item, i) => i > 0).map((item, index) => {
              return <CardItem key={`lighheadcard${index}`}
                               label={item.name}
                               value={item.value}
                               unit={item.unit ? item.unit : ''}
                               align='justify'
                               unitPosition='left'/>
            })}
          </div>
          <WhiteSpace size="lg"/>
        </WingBlank>
      </div>
    );
  }
}

LightHeadCard.propTypes = {
  data: PropTypes.array
};

export default LightHeadCard
