/* 线 */
import React, {Component} from 'react'
import PropTypes from 'prop-types'
import './LinieSiatki.scss'

class LinieSiatki extends Component {
  constructor(props) {
    super(props);
    this.state = {
      width: '100%',
      height: 1,
      padding: 0,
      borderBottom: '1px solid #cccccc',
      borderLeft: 0
    };
  }

  componentWillMount() {
    this.getPropsStyle();
  }

  setRowStyle = () => {
    const {size, type, color, width} = this.props;
    const newSize = size || 1;
    const newType = type || 'solid';
    const newColor = color || '#cccccc';
    this.setState({
      width: width || '200%',
      height: 1,
      borderLeft: 0,
      borderBottom: `${newSize}px ${newType} ${newColor}`,
    });
  };
  setColumnStyle = () => {
    const {size, type, color, height} = this.props;
    const newSize = size || 4;
    const newType = type || 'solid';
    const newColor = color || '#3d7eff';
    this.setState({
      width: 1,
      height: height || 16,
      borderBottom: 0,
      borderLeft: `${newSize}px ${newType} ${newColor}`,
    });
  };

  getPropsStyle = () => {
    const {direction, padding} = this.props;
    this.setState({
      padding: padding || '0'
    });
    if (direction === 'row') {
      // 横线
      this.setRowStyle()
    } else {
      // 竖线
      this.setColumnStyle()
    }
  };

  render() {
    return (
      <div style={this.state} className='zk_liniesiatki'></div>
    );
  }
}

LinieSiatki.propTypes = {
  direction: PropTypes.oneOf(['row', 'column']),
  type: PropTypes.oneOf(['solid', 'dashed']),
  height: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  size: PropTypes.number,
  padding: PropTypes.number,
  color: PropTypes.string,
};

export default LinieSiatki;
