import React, { Component } from 'react'
import PropTypes from 'prop-types'
import './TipPage.scss'

const building = require('./images/building.png')
const noData = require('./images/no-data.png')

class Bg extends Component {
  render () {
    const { info, icon } = this.props
    return <div className={'zk_bg_tip'}>
      <img src={icon} />
      <p>{info}</p>
    </div>
  }
}

class TipPage extends Component {
  render () {
    const { info, type, icon } = this.props
    if (icon) {
      return <Bg icon={icon} info={info} />
    }
    if (type === 'building') {
      return <Bg icon={building} info={info} />
    }

    return <Bg icon={noData} info={info} />
  }
}

TipPage.propTypes = {
  icon: PropTypes.string,
  type: PropTypes.string,
  info: PropTypes.string,
}

export default TipPage
